{
        "name" : "DailyForecast",
        "displayName" : "DailyForecast",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.owm.DailyForecastWorkitemHandler(\"apiKey\")",
        "documentation" : "openweathermap-workitem/index.html",
        "module" : "openweathermap-workitem",
        "icon" : "DailyForecast.png",
            "category" : "Weather Info",
            "description" : "Retrieve weather info using OpenWeatherMap",
            "keywords" : [
                                "openweathermap"
                ,"weather"
                ,"daily"
                ,"forecase"

            ],
                "isaction" : "true",
                "actiontitle" : "Get the weather daily forecast for a location",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "OpenWeatherMap api key"
                                           }

                ],
                "authreferencesite" : "https://openweathermap.org/appid",
            "parameters" : [
                                   {
                                       "name" : "CityName",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "CountryCode",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "DailyForecastData",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "openweathermap-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "CurrentWeather",
        "displayName" : "CurrentWeather",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.owm.CurrentWeatherWorkitemHandler(\"apiKey\")",
        "documentation" : "openweathermap-workitem/index.html",
        "module" : "openweathermap-workitem",
        "icon" : "CurrentWeather.png",
            "category" : "Weather Info",
            "description" : "Retrieve weather info using OpenWeatherMap",
            "keywords" : [
                                "openweathermap"
                ,"weather"
                ,"current"

            ],
                "isaction" : "true",
                "actiontitle" : "Get current weather information for a location",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "OpenWeatherMap api key"
                                           }

                ],
                "authreferencesite" : "https://openweathermap.org/appid",
            "parameters" : [
                                   {
                                       "name" : "CityName",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "CountryCode",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "CurrentWeatherData",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "openweathermap-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}

,
